%define url_ver %(echo %{version} | cut -d. -f1,2)

# currently broken
%define with_clutter 0

# exclude plugins from autoprov
%global __provides_exclude_from %{_libdir}/%{name}-0/.*\\.so

Summary:	A modern media player based on the GStreamer framework
Name:		parole
Version:	1.0.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/applications/parole
Source0:	http://archive.xfce.org/src/apps/parole/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
%if %{with_clutter}
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
%endif
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(taglib_c)

# for base functionality
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-bad
Requires:	gstreamer1.0-plugins-ugly

# for video/x-h264 support
Requires:	gstreamer1.0-ffmpeg

# for ac3 audio support
Requires:	gstreamer1.0-a52dec

# for midi files
Recommends:	gstreamer1.0-fluidsynth

Obsoletes:	%{name}-browser-plugin < 0.2.0.6

%description
Parole is a modern simple media player based on the GStreamer framework and
written to fit well in the Xfce desktop. Parole is designed with simplicity,
speed and resource usage in mind.

Parole features playback of local media files, including video with subtitles
support, DVD/CD and live streams. Parole is also extensible via plugins.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
%if %{with_clutter}
	--enable-clutter
%else
	--disable-clutter
%endif
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

# no devel pkg, yet
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO THANKS
%{_bindir}/%{name}
%{_libdir}/parole-0/
%{_datadir}/%{name}/
%{_datadir}/applications/org.xfce.Parole.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/appdata/%{name}.appdata.xml


%changelog
* Sun Feb 24 2019 wally <wally> 1.0.1-1.mga6
+ Revision: 1369774
- new version 1.0.1 (mga#21672)
- disable broken clutter support

* Sun Mar 20 2016 wally <wally> 0.8.1-4.mga6
+ Revision: 993121
- add patch from upstream git to fix flickering video (mga#17691, lp#1557349)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Dec 06 2015 wally <wally> 0.8.1-2.mga6
+ Revision: 908570
- add patch to workaround Gtk-WARNING flood in console after GTK+ 3.19 update

* Thu Oct 15 2015 wally <wally> 0.8.1-1.mga6
+ Revision: 891745
- new version 0.8.1

* Tue Mar 03 2015 wally <wally> 0.8.0-1.mga5
+ Revision: 817410
- new version 0.8.0

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 749072
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 683342
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Jul 06 2014 wally <wally> 0.7.0-1.mga5
+ Revision: 650133
- new version 0.7.0

* Fri May 02 2014 wally <wally> 0.6.1-2.mga5
+ Revision: 619563
- suggest gstreamer1.0-fluidsynth for midi support

* Sun Mar 30 2014 wally <wally> 0.6.1-1.mga5
+ Revision: 610289
- new version 0.6.1

* Tue Feb 04 2014 wally <wally> 0.6.0-1.mga5
+ Revision: 580947
- new version 0.6.0
- switch to gtk3
- drop patches from upstream

* Sat Jan 04 2014 wally <wally> 0.5.4-2.mga4
+ Revision: 564609
- add patch from upstream to correctly close dir-handles (xfce#10600)

* Thu Dec 05 2013 wally <wally> 0.5.4-1.mga4
+ Revision: 555407
- new version 0.5.4
- drop upstreamed playlist patch

* Sat Oct 26 2013 wally <wally> 0.5.3-3.mga4
+ Revision: 547055
- add patch originally from upstream bugzilla to fix loading M3U playlists with relative paths (xfce#10436)

* Mon Oct 21 2013 umeabot <umeabot> 0.5.3-2.mga4
+ Revision: 540992
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 wally <wally> 0.5.3-1.mga4
+ Revision: 494791
- new version 0.5.3

* Thu Jul 25 2013 wally <wally> 0.5.2-1.mga4
+ Revision: 458036
- new version 0.5.2
- drop patches from upstream

* Wed Jul 24 2013 wally <wally> 0.5.1-3.mga4
+ Revision: 457834
- add patch from upstream git to fix loading files with special characters from cmd (xfce#10236)

* Thu Jul 11 2013 wally <wally> 0.5.1-2.mga4
+ Revision: 453129
- add patch from upstream git to fix crash with remember playlist setting (xfce#10166)

* Mon Jun 03 2013 wally <wally> 0.5.1-1.mga4
+ Revision: 436759
- new version 0.5.1

* Thu May 23 2013 wally <wally> 0.5.0-2.mga4
+ Revision: 425169
- build with gstreamer-1.0

* Thu Mar 07 2013 wally <wally> 0.5.0-1.mga3
+ Revision: 401611
- new version 0.5.0
- drop patches from upstream

* Sat Feb 23 2013 wally <wally> 0.4.0-3.mga3
+ Revision: 400039
- add patch from upstream git to fix aspect ratio calculation (xfce#9872)

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 362418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 wally <wally> 0.4.0-1.mga3
+ Revision: 341181
- new version 0.4.0
- drop patches from upstream

* Sun Nov 18 2012 wally <wally> 0.3.0.3-2.mga3
+ Revision: 319453
- add patch from upstream to fix freeze when using subtitles (xfce#9194)

* Wed Aug 22 2012 wally <wally> 0.3.0.3-1.mga3
+ Revision: 283170
- new version 0.3.0.3

* Sat Aug 18 2012 wally <wally> 0.3.0.2-1.mga3
+ Revision: 282047
- new version 0.3.0.2
- drop build hacks

* Fri Aug 17 2012 wally <wally> 0.3.0.1-2.mga3
+ Revision: 281881
- use fixed source tarball

* Thu Aug 16 2012 wally <wally> 0.3.0.1-1.mga3
+ Revision: 281622
- new version 0.3.0.1
- drop upstreamed patch

* Thu Aug 09 2012 wally <wally> 0.3.0-2.mga3
+ Revision: 280243
- fix description
- add some gstreamer deps
- exclude plugins from provides

* Thu Aug 09 2012 wally <wally> 0.3.0-1.mga3
+ Revision: 280189
- new version 0.3.0
- drop unneeded patches
- add a patch to fix plugins desktop file dir

* Sun Jun 17 2012 wally <wally> 0.2.0.6-6.mga3
+ Revision: 261135
- port to libxfce4ui (patch from PLD Linux)
- rediff linking patch to work with libxfce4ui patch

* Mon May 28 2012 wally <wally> 0.2.0.6-5.mga3
+ Revision: 248622
- rebuild for new libxfce4util

* Sat Apr 21 2012 wally <wally> 0.2.0.6-4.mga2
+ Revision: 232314
- own unowned dir

* Fri Apr 20 2012 wally <wally> 0.2.0.6-3.mga2
+ Revision: 232099
- require gstreamer0.10-ffmpeg for H.264 support
- drop unneeded plugins linking patch
- add patch to fix main program linking
- clean .spec and BRs

* Sun Jun 19 2011 ahmad <ahmad> 0.2.0.6-2.mga2
+ Revision: 109572
- Add missing BR libdbus-glib-devel
- Update to 0.2.0.6
- Drop and obsolete the browser-plugin sub-package, upstream dropped support for
  it

* Sat Feb 19 2011 ahmad <ahmad> 0.2.0.2-5.mga1
+ Revision: 53990
- drop old/unneeded scriptlets
- imported package parole


* Wed Jan 26 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-4mdv2011.0
+ Revision: 633058
- rebuild for new Xfce 4.8.0

* Sat Sep 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-3mdv2011.0
+ Revision: 579666
- rebuild for new xfce 4.7.0

* Sun Apr 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.2-2mdv2010.1
+ Revision: 536073
- rebuild for new xulrunner

* Mon Jan 25 2010 Funda Wang <fwang@mandriva.org> 0.2.0.2-1mdv2010.1
+ Revision: 496190
- new verison 0.2.0.2

* Fri Jan 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.0.1-1mdv2010.1
+ Revision: 491924
- update to new version 0.2.0.1

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 0.2.0-1mdv2010.1
+ Revision: 486871
- update to new version 0.2.0

* Tue Dec 01 2009 Funda Wang <fwang@mandriva.org> 0.1.99-1mdv2010.1
+ Revision: 472298
- new version 0.1.99

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to version 0.1.98

* Wed Nov 25 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.96-1mdv2010.1
+ Revision: 470069
- Update to 0.1.96

* Wed Nov 25 2009 Funda Wang <fwang@mandriva.org> 0.1.95-1mdv2010.1
+ Revision: 470035
- fix linkage
- add plugin sub package
- new version 0.1.95

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.91-1mdv2010.1
+ Revision: 462243
- update to new version 0.1.91

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.90-1mdv2010.0
+ Revision: 456674
- add spec and source files
- Created package structure for parole.

